Bots - Run Maker Evaluation Test Set
Run Maker Evaluation Test Set.
Trigger a maker evaluation test run for a specific test set.
POST https://api.powerplatform.com/copilotstudio/environments/{EnvironmentId}/bots/{BotId}/api/makerevaluation/testsets/{TestSetId}/run?api-version=2024-10-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
Bot
|
path | True |
string |
The bot ID. |
|
Environment
|
path | True |
string |
The environment ID. |
|
Test
|
path | True |
string |
The test set ID. |
|
api-version
|
query | True |
string |
The API version. |
Request Body
| Name | Type | Description |
|---|---|---|
| evaluationRunName |
string |
The name of the evaluation run. |
| mcsConnectionId |
string |
The connection ID for the MCS connector that is used to execute the evaluation run, or leave empty for an anonymous run. |
| runOnPublishedBot |
boolean |
Indicates whether the operation should run on a published bot instance. If set to false, the operation will run on a draft bot instance. |
| toolsConnections |
The tools connections that will be used to execute the evaluation run. This is a list of tools along with the corresponding user connections that should be used for each tool. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Successful response. |
|
| 400 Bad Request |
Bad Request. |
|
| 500 Internal Server Error |
Internal Server Error. |
Security
oauth2
Microsoft Entra ID OAuth2
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize?resource=https://api.powerplatform.com
Scopes
| Name | Description |
|---|---|
| .default | .default |
Definitions
| Name | Description |
|---|---|
| Connection |
A connector and its associated user connection for a maker evaluation run. |
|
Evaluation |
The state of an evaluation run describing the currently active stage. |
|
Execution |
The current execution state indicating the progress status of a maker evaluation run. |
|
Run |
The response payload from triggering an evaluation run request. |
|
Run |
Request body for triggering a maker evaluation test run. |
|
Tools |
A tool along with the corresponding user connections to use for a maker evaluation run. |
Connection
A connector and its associated user connection for a maker evaluation run.
| Name | Type | Description |
|---|---|---|
| connectionId |
string |
User connection ID. |
| connectionReferenceName |
string |
Connection reference name in the bot definition. |
| connectorId |
string |
The tool (connector) ID. |
EvaluationRunState
The state of an evaluation run describing the currently active stage.
| Value | Description |
|---|---|
| Abandoned | |
| Cancelled | |
| Completed | |
| Deleted | |
| Failed | |
| InProgress | |
| Queued | |
| Unknown |
ExecutionState
The current execution state indicating the progress status of a maker evaluation run.
| Value | Description |
|---|---|
| Abandoned | |
| Cancelled | |
| Completed | |
| CreatingRunContent | |
| Deleted | |
| EvaluatingRun | |
| Failed | |
| Initializing | |
| ProcessingRunContent | |
| Queued | |
| Unknown |
RunStatusResponse
The response payload from triggering an evaluation run request.
| Name | Type | Description |
|---|---|---|
| callbackUri |
string (uri) |
The URI to poll for the evaluation run results. |
| executionState |
The current execution state indicating the progress status of a maker evaluation run. |
|
| lastUpdatedAt |
string (date-time) |
The timestamp when the last status update occurred. |
| runId |
string (uuid) |
The unique identifier for this evaluation run. |
| state |
The state of an evaluation run describing the currently active stage. |
|
| testCasesProcessed |
integer |
The number of test cases processed so far in the evaluation run. |
| totalTestCases |
integer |
Total number of test cases to be processed in the evaluation run. |
RunTestSetRequestBody
Request body for triggering a maker evaluation test run.
| Name | Type | Default value | Description |
|---|---|---|---|
| evaluationRunName |
string |
The name of the evaluation run. |
|
| mcsConnectionId |
string |
The connection ID for the MCS connector that is used to execute the evaluation run, or leave empty for an anonymous run. |
|
| runOnPublishedBot |
boolean |
False |
Indicates whether the operation should run on a published bot instance. If set to false, the operation will run on a draft bot instance. |
| toolsConnections |
The tools connections that will be used to execute the evaluation run. This is a list of tools along with the corresponding user connections that should be used for each tool. |
ToolsConnections
A tool along with the corresponding user connections to use for a maker evaluation run.
| Name | Type | Description |
|---|---|---|
| botId |
string |
The Dataverse bot ID. |
| botSchemaName |
string |
Bot schema name. |
| connections |
A list of connections. |